<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<%@ page contentType="text/html; charset=UTF-8" %>
<html>
<head>
<title>Ein Fehler ist aufgetreten</title>
</head>
<% Throwable exceptionThrown = (Throwable)request.getAttribute("ExceptionThrown");
   String errorMessage = (String)request.getAttribute("ErrorMessage");
   String wrongParameters = (String)request.getAttribute("WrongParameters");
   String logLevel = (String)request.getAttribute("LogLevel");
%>

<body>
<h1>Fehler bei der Anmeldung</h1>
<p>Bei der Anmeldung ist ein Fehler aufgetreten.</p>

<% if (logLevel != null) { %>
<% if (errorMessage != null) { %>
<p>
<%= errorMessage%><br>
</p>
<% } %>
<% if (exceptionThrown != null) { %>
<p> 
<%= exceptionThrown.getMessage()%>
</p>
<% } %>
<% if (wrongParameters != null) { %>
<p>Die Angabe der Parameter ist unvollst&auml;ndig.<br></p>
<b> <%= wrongParameters %> </b><br>
<p>
   Beispiele f&uuml;r korrekte Links zur MOA-ID Authentisierung sind:
</p>
<p>
<tt>&lt;a href="https://&lt;MOA-URL&gt;/StartAuthentication?Target=&lt;Gesch&auml;ftsbereich&gt;&amp;OA=&lt;OA-URL&gt;&amp;Template=&lt;Template-URL&gt;&quot;&gt;</tt>
</p>
<p>
<tt>&lt;a href="https://&lt;MOA-URL&gt;/SelectBKU?Target=&lt;Gesch&auml;ftsbereich&gt;&amp;OA=&lt;OA-URL&gt;&amp;Template=&lt;Template-URL&gt;&amp;BKUSelectionTemplate=&lt;BKU-Template-URL&gt;&quot;&gt;</tt>
</p>
<p>
Im Falle einer Applikation aus dem privatwirtschaftlichen Bereich (type="businessService") entf&auml;llt die Angabe des <i>Target</i> Parameters:
</p>
<p>
<tt>&lt;a href="https://&lt;MOA-URL&gt;/StartAuthentication?OA=&lt;OA-URL&gt;&amp;Template=&lt;Template-URL&gt;&quot;&gt;</tt>
</p>
<p>
<tt>&lt;a href="https://&lt;MOA-URL&gt;/SelectBKU?OA=&lt;OA-URL&gt;&amp;Template=&lt;Template-URL&gt;&amp;BKUSelectionTemplate=&lt;BKU-Template-URL&gt;&quot;&gt;</tt>
</p>
<p>Die Angabe der Parameter <tt>&quot;Template&quot;</tt> und <tt>&quot;BKUSelectionTemplate&quot;</tt> ist optional.</p>
<% } %>
<% } %>
</body>
</html>